package com.ruoyi.system.mapper.video;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.video.VideoDeviceChannel;
import com.ruoyi.system.domain.video.ext.ChannelUrlInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 监控设备包含通道 Mapper 接口
 * </p>
 *
 * @author lb
 * @since 2024-07-31
 */
public interface VideoDeviceChannelMapper extends BaseMapper<VideoDeviceChannel> {

    public List<VideoDeviceChannel> selectVideoDeviceChannelList(VideoDeviceChannel videoDeviceChannel);

    public VideoDeviceChannel selectVideoDeviceChannelById(Long id);

    public int InsertVideoDeviceChannel(VideoDeviceChannel  videoDeviceChannel);

    public int UpdateVideoDeviceChannel(VideoDeviceChannel  videoDeviceChannel);

    public int DeleteVideoDeviceChannelByIds(Long[] ids);

    public List<ChannelUrlInfo> selectChannelList(VideoDeviceChannel videoDeviceChannel);

    public int UpdateDatabaseInfo(VideoDeviceChannel videoDeviceChannel);

    public int getVideoCount(String type);

    public int getCount(String type);

    public int position(@Param("channelId") String channelId,@Param("position") int position);

    public int positionById(@Param("channelId") String channelId);
}
